<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <script src="https://www.google.com/recaptcha/api.js" async defer></script>
    <title>COMING SOON | MAVENX</title>
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Aclonica&display=swap"
      rel="stylesheet"
    />
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/toastify-js/src/toastify.min.css"
    />
    <style>
      @font-face {
        font-family: "Centra No1";
        src: url("assets/fonts/CentraNo1-Medium.ttf") format("truetype");
      }

      body {
        margin: 0;
        height: 100vh;
        color: white;
        font-size: 24px;
        text-align: center;
        background-image: url("assets/background.jpeg");
        background-size: cover;
        background-position: center;
        font-family: "Centra No1", sans-serif;
      }

      .content {
        background-color: rgba(0, 0, 0, 0.85);
        color: white;
        width: 100%;
        height: 100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        position: relative;
      }

      .logo {
        width: 150px;
        margin-bottom: 25px;
      }

      .timer-container {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 25px;
      }

      .text-title {
        font-size: 18px;
        font-weight: 500;
      }

      .timer {
        display: flex;
      }

      .timer-content {
        display: flex;
        flex-direction: column;
        align-items: center;
      }

      .time {
        font-size: 30px;
        font-weight: 400;
        font-family: "Aclonica", sans-serif;
        font-style: normal;
        width: 50px;
        display: inline-block;
        text-align: center;
      }

      .time-info {
        color: #a4a4a4;
        font-size: 14px;
        font-weight: 400;
      }

      .newsfeed-container {
        margin-top: 100px;
        display: flex;
        flex-direction: column;
        gap: 5px;
      }

      .news-title {
        font-size: 16px;
        font-weight: 500;
      }

      .news-description {
        font-size: 14px;
        color: #a4a4a4;
        font-weight: 400;
        margin-bottom: 10px;
      }

      .email-container {
        position: relative;
      }

      .icon {
        position: absolute;
        top: 15px;
        right: 15px;
        cursor: pointer;
      }

      .email-input {
        width: 360px;
        height: 50px;
        background-color: #3e3e40;
        border-radius: 15px;
        padding-left: 15px;
        padding-right: 15px;
        outline: none;
        color: #fff;
        border: 0px;
        font-size: 13px;
        font-weight: 400;
      }
      .captcha-container {
        margin: 10px 50px;
      }
      #recaptchaContainer {
        display: none;
      }
    </style>
  </head>

  <body>
    <script src="https://cdn.jsdelivr.net/npm/toastify-js"></script>
    <div class="content">
      <img src="assets/logo.png" alt="logo" class="logo" />
      <div class="timer-container">
        <span class="text-title">COMING SOON IN</span>
        <div class="timer">
          <div class="timer-content">
            <span id="days" class="time">06</span>
            <span class="time-info">Days</span>
          </div>
          <span class="time">&nbsp;:&nbsp;</span>
          <div class="timer-content">
            <span id="hours" class="time">11</span>
            <span class="time-info">Hrs</span>
          </div>
          <span class="time">&nbsp;:&nbsp;</span>
          <div class="timer-content">
            <span id="minutes" class="time">30</span>
            <span class="time-info">Mins</span>
          </div>
          <span class="time">&nbsp;:&nbsp;</span>
          <div class="timer-content">
            <span id="seconds" class="time">23</span>
            <span class="time-info">Secs</span>
          </div>
        </div>
      </div>
      <div class="newsfeed-container">
        <span class="news-title">JOIN THE WAITLIST</span>
        <span class="news-description"
          >We will notify you when we go live!</span
        >
        <div class="email-container">
          <input
            type="email"
            placeholder="Enter email"
            class="email-input"
            id="emailInput"
            onfocus="showCaptcha()"
          />
          <img
            src="assets/icon.svg"
            alt="icon"
            class="icon"
            id="submitButton"
            onclick="onSubmit()"
          />
        </div>
        <div class="captcha-container">
          <div
            class="g-recaptcha"
            id="recaptchaContainer"
            data-sitekey="6Lf1w8YpAAAAAKtUAjJDAZdfPVNdZ31EJqyI4L8l"
          ></div>
        </div>
      </div>
    </div>

    <script>
      function showCaptcha() {
        document.getElementById("recaptchaContainer").style.display = "block";
      }
      function onSubmit() {
        if (!grecaptcha.getResponse()) {
          Toastify({
            text: "Please complete the CAPTCHA.",
            duration: 3000,
            close: true,
            gravity: "top",
            position: "right",
            stopOnFocus: true,
            style: {
              background: "red",
              fontSize: "15px",
            },
          }).showToast();
          return false;
        }
        var emailInput = document.getElementById("emailInput");
        var email = emailInput.value.trim();
        var emailRegex = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;
        if (emailInput.value === "") {
          Toastify({
            text: "Please enter your email address.",
            duration: 3000,
            close: true,
            gravity: "top",
            position: "right",
            stopOnFocus: true,
            style: {
              background: "red",
              fontSize: "15px",
            },
          }).showToast();
          return false;
        } else if (!emailRegex.test(email)) {
          Toastify({
            text: "Please enter a valid email address.",
            duration: 3000,
            close: true,
            gravity: "top",
            position: "right",
            stopOnFocus: true,
            style: {
              background: "red",
              fontSize: "15px",
            },
          }).showToast();
          return;
        }
        fetch(
          "https://prod-api-gateway.mavenx.gg/api/channel/saveTempEmailsToNotify",
          {
            method: "POST",
            headers: {
              "Content-Type": "application/json",
            },
            body: JSON.stringify({ email: email }),
          }
        ).then((response) => {
          response.json();
          Toastify({
            text: "Your email saved!",
            duration: 3000,
            close: true,
            gravity: "top",
            position: "right",
            stopOnFocus: true,
            style: {
              background: "green",
              fontSize: "20px",
            },
          }).showToast();
        });
      }
      function countdownTimer(endTime) {
        var now = new Date().getTime();
        var timeDifference = endTime - now;

        if (timeDifference <= 0) {
          document.getElementById("days").innerText = "00";
          document.getElementById("hours").innerText = "00";
          document.getElementById("minutes").innerText = "00";
          document.getElementById("seconds").innerText = "00";
          return;
        }

        var days = Math.floor(timeDifference / (1000 * 60 * 60 * 24));
        var hours = Math.floor(
          (timeDifference % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60)
        );
        var minutes = Math.floor(
          (timeDifference % (1000 * 60 * 60)) / (1000 * 60)
        );
        var seconds = Math.floor((timeDifference % (1000 * 60)) / 1000);

        document.getElementById("days").innerText = formatTime(days);
        document.getElementById("hours").innerText = formatTime(hours);
        document.getElementById("minutes").innerText = formatTime(minutes);
        document.getElementById("seconds").innerText = formatTime(seconds);
      }

      function formatTime(time) {
        return time < 10 ? "0" + time : time;
      }

      var endTime = new Date("2024-05-10T12:00:00");

      setInterval(function () {
        countdownTimer(endTime);
      }, 1000);
    </script>
  </body>
</html>
